/*********************************************
  Autor: Marlon Nardi Walendorff
  Projeto: Compressor de ar feito com Arduino - Compressino
  Detalhes do projeto:https://marlonnardi.com/2022/07/13/compressor-de-ar-feito-em-casa-de-baixo-custo-com-arduino-compressino/
  /**********************************************/


uint8_t aux5 = 0;
uint8_t aux6 = 0;

volatile uint8_t active_time1 = 0;
volatile uint8_t active_time2 = 0;

extern volatile uint16_t time1_in_tenths_of_a_seconds;
extern volatile uint16_t time2_in_tenths_of_a_seconds;

extern uint16_t current_pressure_sensor_PSI;
extern uint8_t current_motor_temperature;
extern volatile uint8_t error_over_temperature_motor;
extern uint8_t max_pressure;  
extern uint8_t min_pressure;  
extern uint8_t error_sensor_pressure_disconected;
extern uint8_t error_motor_stay_off;
extern uint8_t error_motor_stay_on;
extern uint8_t error_sensor_pressure_wrong;

void buzzerAlert()
{
  
//------------- Alerta compressor cheio
  //------------------------ Pressão máxima alcançada ---------------------//
  if(current_pressure_sensor_PSI > max_pressure && aux5 == 0 && error_over_temperature_motor == 0)
  {   
  active_time1 = 1;  
  aux5 = 1;
  }
  


  if(current_pressure_sensor_PSI <= min_pressure && aux5 == 1 && error_over_temperature_motor == 0)
  {
  aux5 = 0;
  }
  



  if(time1_in_tenths_of_a_seconds > 6)
  {
  active_time1 = 0;
  }




//------------------------ Erros ---------------------//
  if ( error_over_temperature_motor == 1 && aux6 == 0)
  {
  active_time2 = 1; 
  aux6 = 1; 
  }


//------------- Temperatura motor
  if(time2_in_tenths_of_a_seconds > 20)
  {
  active_time2 = 0;
  }

  if( error_over_temperature_motor == 0 && aux6 == 1)
  {
  aux6 = 0;    
  }


//------------- Sensor pressão desconectado
 if(error_sensor_pressure_disconected || error_motor_stay_off || error_motor_stay_on || error_sensor_pressure_wrong)
 {
 digitalWrite(pin_Buzzer, HIGH);
 }else{
 digitalWrite(pin_Buzzer, LOW);
 }



}
