/*********************************************
  Autor: Marlon Nardi Walendorff
  Projeto: Compressor de ar feito com Arduino - Compressino
  Detalhes do projeto: https://marlonnardi.com/2022/07/13/compressor-de-ar-feito-em-casa-de-baixo-custo-com-arduino-compressino/
  /**********************************************/


extern uint8_t max_pressure;  
extern uint8_t min_pressure;  
extern uint16_t current_pressure_sensor_PSI;
extern volatile uint8_t error_over_temperature_motor;
extern uint8_t error_sensor_pressure_disconected;
extern uint8_t error_motor_stay_off;
extern uint8_t error_motor_stay_on ;
extern uint8_t error_sensor_pressure_wrong;

void relay()
{
  if(current_pressure_sensor_PSI > max_pressure && error_over_temperature_motor == 0 && error_sensor_pressure_disconected == 0 && error_motor_stay_off == 0 && error_motor_stay_on == 0 && error_sensor_pressure_wrong == 0)
  {
  digitalWrite(pin_Relay, HIGH);
  }
  if(current_pressure_sensor_PSI <= min_pressure && error_over_temperature_motor == 0  && error_sensor_pressure_disconected == 0 && error_motor_stay_off == 0 && error_motor_stay_on == 0 && error_sensor_pressure_wrong == 0)
  {
  digitalWrite(pin_Relay, LOW);
  }

  if(error_over_temperature_motor == 1 || error_sensor_pressure_disconected == 1 || error_motor_stay_off == 1 || error_motor_stay_off == 1 || error_sensor_pressure_wrong == 1)
  {
  digitalWrite(pin_Relay, HIGH);
  }



}
