/*********************************************
  Autor: Marlon Nardi Walendorff
  Projeto: Compressor de ar feito com Arduino - Compressino
  Detalhes do projeto: https://marlonnardi.com/2022/07/13/compressor-de-ar-feito-em-casa-de-baixo-custo-com-arduino-compressino/
  /**********************************************/



#define max_temp_motor 80
#define return_to_work_temp_motor 75

uint8_t current_motor_temperature = 0;
volatile uint8_t error_over_temperature_motor = 0;



void readTempSensor()
{
  TempSensor.requestTemperatures(); 
  current_motor_temperature = TempSensor.getTempCByIndex(0); 

  if (current_motor_temperature >= max_temp_motor)
  {
   error_over_temperature_motor = 1;
    
  }
  
  if (current_motor_temperature <= return_to_work_temp_motor)
  {
   error_over_temperature_motor = 0;
  }

}//-------------EndreadTempSensor
