/*********************************************
  Autor: Marlon Nardi Walendorff
  Projeto: Compressor de ar feito com Arduino - Compressino
  Detalhes do projeto: https://marlonnardi.com/2022/07/13/compressor-de-ar-feito-em-casa-de-baixo-custo-com-arduino-compressino/
  /**********************************************/


uint8_t error_motor_stay_off = 0;
uint8_t error_motor_stay_on = 0;


extern volatile uint16_t time4_in_tenths_of_a_seconds_motor_on;
extern volatile uint16_t time5_in_tenths_of_a_seconds_motor_off;

void checkVoltageMotor()
{


  

//------------------------ Verifica se motor está ligado -----------------------//
if(time4_in_tenths_of_a_seconds_motor_on >= 50)
{

 if(digitalRead(pin_Relay) == 0 && analogRead(pin_AC_Detection) <= 500) // Se Arduino mandou ligar o motor mas após 5 segundos não chegou tensão no motor 
{
error_motor_stay_off = 0;
}

if(digitalRead(pin_Relay) == 0 && analogRead(pin_AC_Detection) >= 850) // Se Arduino mandou ligar o motor mas após 5 segundos não chegou tensão no motor 
{
error_motor_stay_off = 1; 
}

}

//------------------------ Verifica se motor está desligado -----------------------//
if(time5_in_tenths_of_a_seconds_motor_off >= 50)
{

 if(digitalRead(pin_Relay) == 1 && analogRead(pin_AC_Detection) >= 850) // Se Arduino mandou ligar o motor mas após 5 segundos não chegou tensão no motor 
{
error_motor_stay_on = 0;
}

if(digitalRead(pin_Relay) == 1 && analogRead(pin_AC_Detection) <= 500) // Se Arduino mandou ligar o motor mas após 5 segundos não chegou tensão no motor 
{
error_motor_stay_on = 1; 
}

}
  
}//---------------- checkVoltageMotor
